com.amazonaws.services.machinelearning.model

## Class GetDataSourceRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.GetDataSourceRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class GetDataSourceRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`GetDataSourceRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetDataSourceRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDataSourceId()` The ID assigned to the `DataSource` at creation.
`Boolean` `getVerbose()` Specifies whether the `GetDataSource` operation should return `DataSourceSchema`.
`int` `hashCode()`
`Boolean` `isVerbose()` Specifies whether the `GetDataSource` operation should return `DataSourceSchema`.
`void` `setDataSourceId(String dataSourceId)` The ID assigned to the `DataSource` at creation.
`void` `setVerbose(Boolean verbose)` Specifies whether the `GetDataSource` operation should return `DataSourceSchema`.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetDataSourceRequest` `withDataSourceId(String dataSourceId)` The ID assigned to the `DataSource` at creation.
`GetDataSourceRequest` `withVerbose(Boolean verbose)` Specifies whether the `GetDataSource` operation should return `DataSourceSchema`.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetDataSourceRequest

    public GetDataSourceRequest()

### Method Detail

#### setDataSourceId

    public void setDataSourceId(String dataSourceId)

The ID assigned to the `DataSource` at creation.

Parameters:
  `dataSourceId` - The ID assigned to the `DataSource` at creation.

#### getDataSourceId

    public String getDataSourceId()

The ID assigned to the `DataSource` at creation.

Returns:
  The ID assigned to the `DataSource` at creation.

#### withDataSourceId

    public GetDataSourceRequest withDataSourceId(String dataSourceId)

The ID assigned to the `DataSource` at creation.

Parameters:
  `dataSourceId` - The ID assigned to the `DataSource` at creation.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setVerbose

    public void setVerbose(Boolean verbose)

Specifies whether the `GetDataSource` operation should return `DataSourceSchema`.

If true, `DataSourceSchema` is returned.

If false, `DataSourceSchema` is not returned.

Parameters:
  `verbose` - Specifies whether the `GetDataSource` operation should return `DataSourceSchema` .

  If true, `DataSourceSchema` is returned.

  If false, `DataSourceSchema` is not returned.

#### getVerbose

    public Boolean getVerbose()

Specifies whether the `GetDataSource` operation should return `DataSourceSchema`.

If true, `DataSourceSchema` is returned.

If false, `DataSourceSchema` is not returned.

Returns:
  Specifies whether the `GetDataSource` operation should return `DataSourceSchema` .

  If true, `DataSourceSchema` is returned.

  If false, `DataSourceSchema` is not returned.

#### withVerbose

    public GetDataSourceRequest withVerbose(Boolean verbose)

Specifies whether the `GetDataSource` operation should return `DataSourceSchema`.

If true, `DataSourceSchema` is returned.

If false, `DataSourceSchema` is not returned.

Parameters:
  `verbose` - Specifies whether the `GetDataSource` operation should return `DataSourceSchema` .

  If true, `DataSourceSchema` is returned.

  If false, `DataSourceSchema` is not returned.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isVerbose

    public Boolean isVerbose()

Specifies whether the `GetDataSource` operation should return `DataSourceSchema`.

If true, `DataSourceSchema` is returned.

If false, `DataSourceSchema` is not returned.

Returns:
  Specifies whether the `GetDataSource` operation should return `DataSourceSchema` .

  If true, `DataSourceSchema` is returned.

  If false, `DataSourceSchema` is not returned.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetDataSourceRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`